package cn.bunny.pattern5.demo1.command;

import cn.bunny.pattern5.demo1.TV;

// 具体命令类：打开电视的命令
public class TVOnCommand implements Command {
    private final TV tv;

    public TVOnCommand(TV tv) {
        this.tv = tv;
    }

    @Override
    public void execute() {
        tv.on();
    }
}